Bug 1290664 - (CVE-2015-8466) CVE-2015-8466 openstack-swift-plugin3: replay attack - date/date header unvalidated
CVE-2015-8466 openstack-swift-plugin3: replay attack - date/date header unval...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20151209,reported=2...
: Security
Depends On: 1290665 1290674
Blocks: 1290671
  Show dependency treegraph
 
Reported: 2015-12-11 00:29 EST by Tim Suter
Modified: 2016-06-14 23:38 EDT (History)
28 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-14 23:38:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Suter 2015-12-11 00:29:25 EST
A required header: date or alternate header: x-amz-date is never validated in the case where neither is specified
This leads to a potential replay attack as the value should be within a 5 minute window from the server time.
Comment 1 Tim Suter 2015-12-11 00:30:05 EST
Created openstack-swift-plugin-swift3 tracking bugs for this issue:

Affects: fedora-all [bug 1290665]
Comment 3 Fedora Update System 2015-12-24 19:27:05 EST
openstack-swift-plugin-swift3-1.9-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Tim Suter 2016-06-14 23:38:35 EDT
confirmed no longer affected pre-release

Note You need to log in before you can comment on or make changes to this bug.